Subject: [ippm] snmp data collections - data

From: "gab.seun jones.ewulomi" <[email-masked]>
Date: Thu, 13 Mar 2003 11:34:12 +0000

Hi Guys,

I need directions on how to make conclusive performance behaviour of all the 
data have been collecting on about 120 routers (using snmp (mib2) to collect 
the raw data which is stored into a database(collection is at 5min 
intervals). I have about a year and half worth of data of the following 
mibs. I currently have about 40GB worth of raw data not aggregated(which not 
really a lot of data compared to netflow flows). I am implementing netflow 
at the moment to show us more e.g port, time duration of flows, application, 
src, dest etc.

We have been using this data more proactively but havent sat down to utilize 
all this data to come to a conclusion about our traffic

IP-Packet Loss
Serial-Link/Packet-Errors (in/out)(percentage)
Average Receive Utilization(percentage)
Average Transmit Utilization(percentage)
Router-CPU
Total Utilization(percentage)
Bit count Throughput (in/out)
Packet count Throughput (in/out)
Total Byte volume (in/out)
Total Byte error volume (in/out)
Router MegaBytes-Mem-Usage
Total packet volume (in/out)

I have decided for each router take the (using monthly intervals)
1)Total packet volume (in/out) - total volume for each month, Average, 
Median, 95 percentile,Min, Max
2)Total Byte volume (in/out) - total volume for each month, Average, Median, 
95 percentile, Min, Max
3)Bit count Throughput (in/out) - total volume for each month, Average, 
Median, 95 percentile, Min, Max
4)Packet count Throughput (in/out) - total volume for each month, Average, 
Median, 95 percentile, Min, Max
5)Total Byte error volume (in/out) - total volume for each month, Average, 
Min, Max

6)Average Receive Utilization(percentage) - Average, Median, 95 percentile, 
Min, Max
7)Average Transmit Utilization(percentage) - Average, Median, 95 percentile, 
Min, Max
8)Total Utilization(percentage) - Average, Median, 95 percentile, Min, Max
9)Router-CPU - Average, Min, Max
10)Router MegaBytes-Mem-Usage - Average, Min, Max
11)IP-Packet Loss - Min, Max

My main aim as my knowledge permits me and also because im just usig snmp to 
collect the data is to see the patterns each month for each router.

1)My question is for suggestion on how to use the data.
2)How would you guys utilize this sort of data if you were in my shoes
3)What other calculations would be worthwhile

regards
seun

_________________________________________________________________
Overloaded with spam? With MSN 8, you can filter it out 
http://join.msn.com/?page=features/junkmail&pgmarket=en-gb&XAPID=32&DI=1059

_______________________________________________
ippm mailing list
[email-masked]
http://mailhost.advanced.org/mailman/listinfo/ippm

---

From: "gab.seun jones.ewulomi" <[email-masked]>
Date: Tue, 18 Mar 2003 13:23:39 +0000

Hi,

All the data are all wide area network collections of traffic passing 
through the egress interfaces on over 120 sites around the globe. Most of 
the network is of a hub and spoke architecture. Basically on each continet 
we have a boundry router that connects to the core. Just to mention this are 
all pure snmp formula derived collections.

regards,
seun

>From: Sandrine Vaton <[email-masked]>
>To: "gab.seun jones.ewulomi" <[email-masked]>, [email-masked]
>Subject: Re: [ippm] snmp data collections - data
>Date: Mon, 17 Mar 2003 14:36:53 +0100
>
>Hi Mukul,
>
> >>1) Classify the interfaces based on outgoing traffic loads and examine
> >>a) the variation of the traffic load on selected (heavy, averae and
> >>light) interfaces over the course of a day, a month, a year.
> >>b) how does the comparative traffic load on the interfaces (i.e. the
> >>classification of the interfaces among "heavy", "average",
> >>"light" categories) vary over the course of a day, a month, a year.
> >>
> >>2) The same analysis for interface packet loss rate.
> >>
> >>As per my knowledge, only a limited amount of work exists regarding the
> >>typical traffic patterns in a network. Anja Feldmann's work has 
>suggested
> >>that the traffic load between src-dest router pairs follows a zipf like
> >>distribution and that the relative position of src-destination router
> >>pair in terms of the average traffic load does not vary a whole lot over
> >>the course of a day or perhaps several days. It will be interesting to
> >>know what are the statistics for traffic loads on the interfaces.
> >>
>
>
>From my experience I can say that the traffic patterns will depend on the
>type network considered :
>- if you are on a local area network then a hidden Markov model will be
>convenient for modelling the variations of the traffic load on each
>src-dest pair
>- on the contrary, if you are on the core network then the only statistical
>patterns that you will see will be mainly due to the periodical variations
>of human activity (that is to say the daily/weekly/... variations) and
>other models such as harmonic+noise will be useful.
>
>Kind regards,
>
>Sandrine Vaton
>Assistant Professor
>ENST Bretagne
>http://perso-info.enst-bretagne.fr/~vaton
>
>
> >
>
>---------------------------
>Sandrine VATON
>Maître de Conférences
>ENST Bretagne
>BP 832
>29285 Brest Cédex
>France
>tél:+33 2 29 00 10 29
>http://perso-info.enst-bretagne.fr/~vaton

_________________________________________________________________
Stay in touch with absent friends - get MSN Messenger 
http://messenger.msn.co.uk